Page 1

WIN IT >> B2

Grand Valley Lanthorn

Grand Valley’s student run newspaper

www.lanthorn.com

DOWNTOWN

Weekend Festivals

>> See A4

Vol. 45 issue 4: Thursday, September 2, 2010

A&E: SUMMER FILM PROJECT

FALL SPORTS PREIVEW

Students wrap up summer production of ‘Horizontal Accidents’

Women’s cross country seeks national title

>> See C3

>> See B

New living center

GVL / Eric Coulter

Happy Birthday: This flag hangs to commemorate GVSU’s 50th anniversary.

offers green, clean amenities

‘El Capitan’ opens next weekend By Derek Wolff GVL Staff Writer

Grand Valley State University will kick off its 50th Anniversary celebration on Sept. 13 at 8 p.m. with John Phillip Sousa’s “El Capitan.” The unique concert, which will be held in the Performing Arts Center, will be the first installment in an exciting Fall Arts Celebration 2010 that will highlight events on campus and in downtown Grand Rapids for the celebration the university’s 50th anniversary year. Professor Barry Martin will do the honors of conducting what is considered a gem of compositional verve and excellence. The operetta will also include a music faculty/student orchestra. Visiting professor Ben Cole will narrate the operetta of the “March King”. “El Capitan” is a humorous and silly story of mistaken identity. The lead character, Don Enrico Medigua, is the viceroy of Spanishoccupied Peru who secretly has a rebel leader killed only to assume his enemy’s identity to win over the rebel soldiers. “El Capitan” is just the first of the many events that will occur around campus or in downtown Grand Rapids this year for GVSU students, faculty and alumni to celebrate. Teri Losey, the chair for the 50th Anniversary Comitee, stressed the value of attending the events. “I think that it would be a great opportunity for students to get to know some of Grand Valley’s rich and unique history,” she said. “Going to the events and checking out the website for more information is a great way for students to get involved.” Following “El Capitan” through the Fall Arts Celebration, the School of Communications will present an Art Gallery Exhibition in the Art Gallery of the Performing Arts Center on the Allendale Campus. The gallery’s opening reception on Sept. 15 will showcase 75 new works of art by 28 current faculty members

See Anniversary, A2

Courtesy Photo / Office of Housing and Residence Life

Home sweet home: The SouthC, South D and South E living centers offer more room to accomodate GVSU students as well as sustainable facilities that comply with LEED standards.

Habitat restoration, storm water run-off reduction utilized as living center sustainability features By Anya Zentmeyer GVL Assistant News Editor

The South C, South D and South E living centers at the southern end of Grand Valley State University’s Allendale Campus offer more to their students than just a place to stay while attending school. With 214 total units, these three three-story apartment buildings boast not only a LEED Silver certification, but feature habitat restoration, storm water run-off

reduction, light pollution reduction and increased energy efficiency among other forward-thinking green solutions. “Students can expect to live on campus in a brand new, quality constructed, spacious, attractive apartment with all the amenities,” said Karen Ingle, project manager in Facilities Planning. Fifteen months ago, GVSU began construction on the new 265,600 gross square-foot living center and finished the process early August

2010. Bidding for rooms in the living centers began in February 2009, construction in April of 2009 and occupancy August 2010. According to Ingle, construction moved along at a rapid pace with no notable difficulties. Located along 42nd avenue, the total budget for the new living centers (including construction, design and furnishings) totaled $45 million.

See Housing, A2

“The new living centers con-

tinue the university’s objective of providing inviting accomodations for its students and providing facilities that foster a sense of community.

-James Moyer Vice president of Facilities Planning

University triples Grand Finish scholarship By Chelsea Lane GVL News Editor

Grand Valley State University announced yesterday that it will triple the number of students eligible for its Grand Finish program. The program, designed to reward full-time study and timely graduation, was first announced earlier this year by President Thomas Haas and Provost Gayle Davis, awards students with a $1,000 grant if they earn 90 credit hours by April 2011. Transfer students will receive $500. The program originally o n l y included students entering GVSU in the Fall 2011 semester, but with the new

expansion, most students who have attended the university since Fall 2008 will likely become eligible for the grant as well. “We understand that our students and their families are facing tough economic times just as our state is,” Haas said in a press release. “Grand Valley has always been committed to student success and providing comprehensive support. We have decided to expand the Grand Finish program this year so more of our students could get a cash reward for planning and working hard to obtain their degrees. Saved time is saved money, so this program works in a number of ways to help students.” The Financial Aid Office said data is not yet available on precisely how many students will become eligible for the grant or how much the Grand Finish expansion will cost in aid money. However, it has been decided that once students reach the required 90 credit hours, the grant money will be paid out over the course of two semesters. Davis acknowledged this new expansion may require students to adjust their schedules and course loads this year in order

See Grand Finish, A2

University hires new officer to develop curriculum

Courtesy Photo / gvsu.edu

New staff: Maria Cimitile is pictured.

By Chelsea Lane GVL News Editor

Grand Valley State University attracted more than 24,000 students this year with diverse curriculum, but with an ever-growing student body and a constantly-changing business world, the university recently opted to create an all-new position to help keep its curriculum relevant. The Academic Program and Curriculum Development Officer will oversee the university’s curriculum and ensure that it continues to evolve and

grow along with the needs of its students. The Office of the Provost and Vice President for Academic Affairs nominated Dr. Maria Cimitile for the new job. Prior to her new position, Cimitile served as an associate dean in the College of Liberal Arts and Sciences for three years, assistant director of general education for a semester and interim chair of geography and planning. Cimitile has a degree in philosophy and is a tenured professor in the philosophy department. Now, Cimitile looks

See Officer, A2

Courtesy Photo /google images

INDEX

A

News...............................................A3 Downtown....................................A4 Opinion.........................................A5 Advertisement...................................A6

B

Sports..................................................B1 A&E...............................................B3 Marketplace...............................B5 Advertisement............................B6

C

Fall Sports Preview


A2

NEWS

Thursday, September 2, 2010

Housing continued from page A1

“I was pretty much awed by the building when I moved in,� said sophomore Bridgette McGuire, a resident of the new south campus living centers. “I really cannot complain about the building at all. Since it is a new building, we have not created a strong sense of community, but the community council is working to create a community not only in the individual buildings but throughout all three of the new south apartments.� And community is a key

focus of these new housing centers. James Moyer, assistance vice president for Facilities Planning, said the new living centers will help GVSU move forward as more than just a university, but also as individuals building relationships that will last. “The new living centers continue the university’s objective of providing inviting accommodations for its students and providing facilities that foster a sense of community,� Moyer said. “With these living centers, students are encouraged to create lasting friendships.� assistantnews@lanthorn.com

Anniversary continued from page A1

in the Department of Art and Design and the School of Communication. A wide range of artwork will be included, such as animation, installation, metals, painting, photography, printmaking, sculpture, textiles, video and works on paper. GVSU President Thomas Haas said in an interview for WGVU television on Aug. 27 that the 50th anniversary events were celebratory for both the students and faculty. “It’s all about the students,� Haas said. “But we’re also celebrating this 50th anniversary because of the public-private partnerships that continue to nurture this university.� Next in line with the

Grand Finish continued from page A1

to meet the 90-credit minimum. “This takes a renewed

OfďŹ cer

join

continued from page A1

the

Lanthorn

All positions paid. Internships available.

NOW HIRING Cartoonist News Writers Graphic Designer LAYOUT STAFF + A&E Writers Asst. Business Manager

GRAPHIC DESIGN Freshmen or Sophomore Preferred

Application Deadline: November 25, 2008

Office Number: (616) 331-2460

Visit our office | KC 0051

IF OUR DELIVERY DRIVERS

WERE ANY FASTER

Lanthorn: Why was this new position added? Cimitile: That’s a great question. The position was added because we’re thinking about Grand Valley in ways that are very relevant for our students and our community. My position will help departments have a resource for developing either new programs or existing programs so that we’re very in touch with the needs of our students and our community. Part of my job is to make sure that when we’re offering programs and that we’re thinking about how to best prepare students for the world that they’re about to enter into, whether that is graduate school or the job market. Our programs strive to invest students with the knowledge and skills of a liberal education that will serve them throughout their lives to help them be reective engaged citizens. Lanthorn: So what are some of your day-to-day responsibilities with this position? Cimitile: When people ask me, ‘So what are you doing?’ I say that there are two aspects to this position. One is to make sure that our curricular processes run smoothly. As you probably know, our curricular process

THEY'D HAVE

NUMBERS ON THE SIDES OF THEIR CARS.

((

forward to working with GVSU’s various colleges to provide informational resources and help coordinate future curricular development. She sat down with the Lanthorn to discuss her position, the university’s curricular process and how students can best voice their thoughts on new course and curriculum ideas.

Grand Valley Lanthorn

anniversary celebrations is the 2010 Battle of the Valley’s, which will include a Pedometer Challenge this year. Not only will GVSU students, faculty and staff be battling their Saginaw Valley State University counterparts, but also GVSU’s own internal departments will compete against each other. Registration for the competition began Wednesday with a captain and three additional teammates needed to fill a team roster. The captain can then chose whether his or her team wants to be in Level 1 or Level 2, the latter of which being more strenuous and time consuming physical activity. Captains can visit the web tracker at healthandwellness@ gvsu.edu and pick up free

pedometers, one for each member of the team, at Lake Michigan Hall in Room 140 at no charge. The first 125 teams to register will receive a free Battle of the Valley’s 50 years in 50 days 50th anniversary t-shirt. The top 25 teams overall will receive a drawstring gym bag. The competition itself will begin on Sept. 22 and runs through Nov. 10. Rounding out the September celebratory events will be a special campus lecture by distinguished academic lecturer Dr. Jill Ker Conway. She will present “The Next 50 Years in the World� where she will share the insight, experience and wisdom she gained from current and past leadership roles at Nike, Colgate-Palmolive, Merrill

Lynch & Co. and the Lend Lease Corporation. She is also a best selling author of several books, including The Road from Coorain and A Woman’s Education. The lecture and a Q&A section will begin at 7 p.m. on the second floor of the Eberhard Center on GVSU’s Pew Campus in Grand Rapids. A book signing and reception will begin at 8 p.m. President Haas’ full interview with WGVU telivision can be viewed at www.wgvu.org. Admission for “El Capitan� operetta is free after requesting a ticket online or calling the Grand Valley box office at 616331-2300. dwolff@mail.lanthorn.com

and intense effort by our advising staff and our faculty members to guide students,� Davis said in a statement. “We have put people and

programs in place to provide this extra support. I’m proud of Grand Valley for illustrating yet again that students, their education and

their place in our community are of paramount importance to us.�

runs from the department, to the college, to universitywide level. So I make sure all of that runs smoothly. That’s one part. The second part is to give information and advice about the types of programs that would be really beneďŹ cial for Grand Valley in the ways that I just described earlier.

Curriculum is a living thing. It’s an entity that’s constantly changing and growing, and that’s because our world is constantly changing and growing. There isn’t anything in particular but rather just thinking about what’s relevant, what’s important, what’s signiďŹ cant, what’s going to give our students the best opportunities, what maintains the best academic standards and rigor in our curriculum so that our degrees are worth as much as possible for students and their plans for the future.

a curriculum change and when that course is actually available or does that vary on a case-by-case basis? Cimitile: It varies based on what kind of curriculum item it is. A course change can happen very quickly. If it’s a brand new program, that takes at least a year because there’s so many things that we want to consider, so many aspects that we want to think about it‌

Lanthorn: What are some ways students can get involved in either working with the curriculum or utilizing some of the resources that this position is meant to provide? Cimitile: Students are always welcome to give input to curriculum and there are many ways to do that. One is talking with their faculty members. Our curricular process is what we call ‘shared governance,’ whereby the faculty bring proposals to the university. Faculty members have the best contact with students, so to have students contact the faculty members and say, ‘Hey, how about a course or program in X,’ is a great way to get students’ voices heard. Sometimes we’ll develop those programs, other times we won’t because there are so many other factors in developing the curriculum. Another way is through student senate. I’ve had senators come and see me to talk about programs that were interesting to students. The Student Senate is another great way to make student interest known. Lanthorn: Are there any upcoming changes that you’d like to see made to the curriculum or that maybe other members of the community have been voicing to you? Cimitile: There are always changes in process.

(( Scholarships for Graduate Study Abroad

4814 LAKE MICHIGAN DR. 616.892.2000

Thinking seriously about study abroad after you graduate? Come learn about the Fulbright Scholarship Program at one of our sessions held on Wednesday, Sept 8:

* 2-3 pm in MAK C1-114 * 7-8 pm in HON 214 (Niemeyer Hall).

FREAKY FAST DELIVERY! 3?2.8F 3.@A 1296C2?F Â&#x2022;% 76::F 7<5;´@ 3?.;056@2 990 .99 ?645A@ ?2@2?C21

Grand Valley Lanthorn Volume 45, Number 4 The Grand Valley Lanthorn is published twice-weekly by Grand Valley State University students 62 times a year. One copy of this newspaper is available free of charge to any member of the Grand Valley Community. For additional copies, please contact our business offices. POSTMASTER: Please send form 3579 to Grand Valley Lanthorn, 0051 Kirkhof, Grand Valley State University, Allendale, MI, 49401

If you canâ&#x20AC;&#x2122;t attend either session and want more information, visit the Office of Fellowships website: www.gvsu.edu/fellowships or e-mail us at fellowships@gvsu.edu

EDITORIAL STAFF

Editor in Chief LAUREN FITCH Managing Editor EMANUEL JOHNSON News Editor CHELSEA LANE Assistant News Editor ANYA ZENTMEYER Sports Editor CODY EDING Arts and Entertainment Editor ELIJAH BRUMBACK Laker Life Editor HALEY OTMAN

Photography Editor ERIC COULTER Assistant Photography Editor JAMES BRIEN Copy Editors CARLA LANDHUIS KARA DONALDSON Layout Editor ALANA HOLLAND Layout Staff TAYLOR GEBBEN KELLY GRANBACKA Web Team JON ROOST CJ RAFTERY JOSH KOVACH

Lanthorn: Are there any aspects of Grand Valleyâ&#x20AC;&#x2122;s curriculum that you think are unique compared to other universities in Michigan? Cimitile: I think some of the assets that we have are that weâ&#x20AC;&#x2122;re always in contact with our community. For instance the Seidman College of Business has great communication with our area businesses to think about what they need. The Padnos College of Engineering has a very similar relationship with constituencies outside of the university so that those constituencies can say, â&#x20AC;&#x2DC;You know, engineering really needs this.â&#x20AC;&#x2122; Then we can think, okay, how can we help that? How can we make that happen? So thatâ&#x20AC;&#x2122;s something that I think Grand Valley really does very well -- that weâ&#x20AC;&#x2122;re constantly looking outward to think about what we can do internally with a very high level of academic excellence investing liberal education into professionally relevant skills. That gives our students an advantage. Lanthorn: Is there a typical timeline between when someone makes that initial proposal for

Advertising Manager DANIEL DELAMIELLEURE Advertising Reps CHRIS ROWELL CHANTELL BOYD KEVIN HAUSFELD AMANDA VILLARREAL Advertising Designers MATT TYNDALL VALENTINA VALDES

Lanthorn: Are there any upcoming challenges, with the job market changing, that you think the university and its curriculum will have to adapt to? Cimitile: I think there are many. Right now Michigan is not in a great place economically. I donâ&#x20AC;&#x2122;t think thatâ&#x20AC;&#x2122;s a surprise to anybodyâ&#x20AC;Ś The job market is changing. Itâ&#x20AC;&#x2122;s not calling for the same type of manufacturing jobs of a few decades ago. The type of knowledge and skills that employers are looking for out of our graduates have to do with critical thinking skills, the ability to be creative and ďŹ&#x201A;exible, and those are skills that we really do a great job with at Grand Valley because our core teaching mission is liberal education. All of our professional schools are deeply embedded in liberal education. That gives our students an advantage over, in my view, any other university in the state because we stress that so much and our faculty are so committed to liberal education. Other areas, more speciďŹ c areas, that weâ&#x20AC;&#x2122;re probably going to be looking at are health professions, engineering, entrepreneurship, all those things that Michigan needs right now. news@lanthorn.com

Lanthorn.com Lanthorn.com Lanthorn.com Get your news online at Lanthorn.com Lanthorn.com and leave some feedback. Lanthorn.com Lanthorn.com Lanthorn.com Lanthorn.com BUSINESS STAFF

ADVERTISING STAFF

news@lanthorn.com

Business Manager ERIC LEE Assistant Business Manager BRANDON MERCADO Distribution DAVE BABCOCK JEFF DIMITRIEVSKI CHRIS ROWELL THOMAS LEE JASON TERPSTRA JASON LEIBY Receptionists KIM SANDER CARIAN WHITE Faculty Adviser LAWRENCE BEERY

The Grand Valley Lanthorn is published under the authorization of the GVSU Newspaper Advisory Board.

Corrections

At the Lanthorn we strive to bring you the most accurate news possible. If we make a mistake, we want to make it right. If you find any errors of fact in the Lanthorn, let us know by calling (616) 331-2464 or by e-mailing editorial@lanthorn.com.


NEWS

Chelsea Lane, News Editor news@lanthorn.com

QUICK!

GV NEWS BRIEFS

1

Kelly, Martin to make Notre Dame coaching debuts Saturday At Lake Michigan Center’s multi-purpose room in Muskegon, Dr. Paul Isely, the Grand Valley State University’s Chair of Econmics, will hold a seminar titled “A preliminary look at the long run value to Muskegon of current remediation projects”. The seminar will take place on Sept. 10 at 2:30 p.m. with a brief reception to follow immediately after.

2

Padnos Center seeking study abroad pictures PICS is a study abroad photo contest where GVSU students, faculty and staff will judge the winner. Photos should be from recent trips abroad with the Padnos center. All images and signed release forms are due Oct. 1 in the Padnos International Center. The show will be displayed at the Red Wall Gallery in Lake Ontario Hall through December, and voting will take place between Oct. 15 and Oct. 30 at Padnos, as well. To be eligible for PIC PICS, entrants must be a current GVSU student or alumni who has studied abroad. This may include internship and independent study programs. The first-place winner will receive a $500 travel voucher to any location on the globe. The second-place winner will receive a new iPod, and the third-place winner will receive a new Apple Shuffle. For more information, rules and additional submission guidelines, visit http://www.gvsu. edu/pic and click on the PIC PICS icon or email Liz Smith at tstudyabroad@ gvsu.edu.

3

Welcome Back Mixer for MCP programs Today from 11:30 a.m. to 1 p.m. in Kirkhof Center’s room 1247, there will be a welcome back mixer for multicultural cohort program students. Refreshments will be served at the event. Those interested in joining MCP should stop by to talk with program coordinators and get more information on the benefits of participation. For questions, contact Kristie Scanlon at scanlokr@gvsu.edu.

4

Last registration deadline approaches Friday at 5 p.m. is the last date to add classes, register at GVSU or pay for the Fall 2010 semester.

Grand Valley Lanthorn Thursday, September 2, 2010

A3

Increased patrols net 21 MIPs on move-in week By Chelsea Lane GVL News Editor

As the school year gets into full swing at Grand Valley State University after a long summer, the warm weather and surge of popular on-campus events can often lead to more after-hours partying and drinking. But with Youth Alcohol Enforcement, they can also lead to more police. The Youth Alcohol Enforcement grant which provides extra funds to enforce underage drinking laws, was activated for the first time during the new school year during move-in weekend. Twenty-one Minor in Possession charges were issued to individuals. In addition, one person was arrested on campus for resisting and opposing university police. The grant will likely be activated again almost every weekend for the next several weeks. Youth Alcohol Enforcement is a grant from the Office of Highway Safety Planning that began in 2002 in response to a large and destructive off-campus party that took place in 2001 and resulted in several fights as well as damage to nearby cars and buildings. As well as monitoring potential on-campus conflicts, the stepped-up patrols are also intended to discourage students from driving while intoxicated and to decrease the number of alcohol-related crashes. The Holland and Ottawa Sheriff Departments join

“Sf you take under-

age drinking out of the equation, you will often reduce the other criminal activity.

-Brandon DeHaan DPS assistant director Grand Valley State University’s Department of Public Safety as beneficiaries of the grant. Police must re-apply for the grant every year if they want to receive any program funding. The current cycle, which had awarded the departments more than $11,000, runs until Sept. 30. The grant is usually activated around dates of special events, such as sports games, dances and other school-wide functions, when police anticipate there will be a high likelihood of drinking. Weekends with warm weather also usually point to an increased number of parties and drinking and therefore, an increased number of patrols. Capt. Brandon DeHaan of DPS said past research shows that underage alcohol consumption can lead to larceny, violence and destructive behavior. “We want our students to know that behavior is unacceptable,” he said. “If you take underage drinkers out of the equation, you will often reduce the other criminal activity.” According to the National

Courtesy Photo / mlive.com

Zero tolerance: The Youth Alcohol Enforcement grant allows more officers to patrol for underage drinking.

Center on Addiction and Substance Abuse, 95 percent of all violent campus crime and 90 percent of all instances of sexual assault at colleges involve use of alcohol by the assailant and/ or victim. In addition, a 2002 study showed that 48 percent of all alcohol use reported by col-

lege students is attributable to underage drinkers. Larceny and malicious destruction of property are the two most common on-campus crimes at GVSU. DeHaan believes the Youth Alcohol Enforcement grant helps to reduce these problems and meet

students’ expectations for a safe, secure and clean campus. He also referenced an equation used by the DPS staff in their presentations to students: “inappropriate behavior + attention drawing behavior = police interaction.” news@lanthorn.com

GV professor runs 100 miles to support CEC By Anya Zentmeyer GVL Assistant News

Courtesy Photo / freeshare.net

Fish frenzy: Asian carp were discovered past an Illinois electric barrier. Man-made paths such as canals and locks allow the carp to swim through rivers toward the Great Lakes. Petitioners are tyring to get these paths closed.

Asian carp threaten Michigan ecosystem, economy GV assistant professor Carl Reutz recommends ‘prevention as best method’ to avoid damage to Great Lakes ecosystem By Molly Waite Senior Reporter

The debate over the invasion of the Asian carp into the Great Lakes gained momentum in June when, for the first time, a single carp was found beyond the electric barriers constructed in the Illinois River to keep the species out of the Great Lakes. Carl Ruetz, assistant professor at the Grand Valley State University ANNIS Water Resources Institute, said it is important to focus on stopping the carp from entering the Great Lakes and warm, shallow rivers such as the Grand River, where the carp population could grow extremely dense. According to the U.S. Environmental Protection Agency, these fish pose a significant threat due to their extremely large size (some carp reaching as much as 100 pounds), rapid reproduction and massive appetites. The Asian carp could potentially destroy Great Lakes ecosystems and devastate Michigan’s multibillion-dollar fishing industry. “It is unclear how the

Asian carp will affect the Great Lakes ecosystem, but my personal view is that I don’t want to find out,” Ruetz said. “It’s much better to do everything we can to keep them out, because once an invasive species is established, it is virtually impossible to eliminate them. Prevention is the best method.” Ruetz said the most effective way to stop Asian carp and other invasive species is to remove the pathways through which they enter the Great Lakes and large rivers in West Michigan. These pathways are mostly man-made channels constructed for the transportation of iron ore, coal and other goods, such as the Chicago Sanitary and Ship Canal. In 2009, Michigan Attorney General Mike Cox entered a lawsuit to close Chicago-area locks to prevent further invasion of Asian carp into the Great Lakes, which the U.S. Supreme Court denied in January. Cox has since launched an online petition at http://www.StopAsianCarp. com in hopes of ultimately presenting the petition to

President Barak Obama, who currently opposes the closing of the Chicago locks. “It is distressing that inaction on the part of a state with only a few miles of shoreline is threatening the economy and ecology of Michigan and every other state in the Great Lakes basin,” Cox said in a press release. Despite setbacks, members of Congress have joined to sponsor legislation to determine how, in a timely manner, to create a permanent barrier to stop Asian carp, according to Fresh Water Future, a Great Lakes conservation organization. Reutz said accurate information is one of the best tools for politicians and other people involved in policy-making. “I have given presentations to policymakers on the Asian carp issue,” Ruetz said. “We’re trying to provide information about the problem so that those with the ability to take action and make decisions can make more informed decisions.” mwaite@lanthorn.com

History professor Jeremiah Cataldo started running three years ago as a hobby b e f o r e entering the Turkey CATALDO S w a m p 50K as his first race only three months later. In late July, Cataldo took on the Burning River 100 race, where he ran 100 miles to raise money for the Grand Valley State University’s Children’s Enrichment Center. “The race went well,” he said. “In fact, I felt strong enough that I think running it an hour or two faster next time is very possible.” Standing at the starting line, Cataldo began his race with nothing. Twenty-two hours later, he finished with enough money to categorize the charity drive as “a quantifiable success,” although he does not know the exact dollar amount at this time. After the birth of his son last February, Cataldo said he could not find quality childcare for an affordable price. When he noticed the CEC’s mission, its accessibility to the GVSU community struck a chord with him. “The center meets an important need in today’s society,” Cataldo said. Gretchen Galbraith, a chairman in the history department, helped foster the idea of the charity run with Cataldo and Sharelle Arnold, the head of the CEC. Together they decided a fundraiser for a student scholarship fund would be a good fit.

Galbraith noted both she and Cataldo value high-quality, affordable childcare as a crucial element for young families. According to Arnold, a recent on-campus study revealed 81 percent of GVSU’s nontraditional students said parent-focused scholarships are essential. “In these hard economic times, it’s especially important that students with young children be able to bring them to a place that is a safe, enriching environment,” Galbraith said. “With access to CEC, our students can focus on their own studies knowing that their children are in an excellent environment.” Cataldo emphasized that he believes taking care of one’s family in the short term should not prohibit one from caring for and supporting them in the long term – something he believes the Student/Parent scholarship fund would help to prevent. Although nothing is currently set in stone, Cataldo said they are looking at other opportunities to highlight CEC and its mission. Arnold said that as the head of CEC, she appreciates individuals such as Cataldo who are moved to advocate for small, yet vulnerable populations. “Professor Cataldo lives in action,” she said. “I proudly tip my hat to the man that has never been in our center (nor does he have children old enough for our program) or whom I have never met, but he willingly put aside his own needs in an effort to raise money and awareness.” Those who are interested in donating to the CEC Student Parent Scholarship fund should contact the University Development Office of the Children’s Enrichment center at 616-331-5437. assistantnews@lanthorn.com


A4

Grand Valley Lanthorn Thursday, September 2, 2010

DOWNTOWN

Haley Otman, Laker Life Editor lakerlife@lanthorn.com

QUICK! EVENTS

Sept. 17 to 19 Michigan Irish Music Festival

Sept. 17 to 19 Downtown Muskegon Three-day passes $25 15 bands Irish fare including corned beef Dancing http://www.michiganirish. org

Fall Festivals

Sept. 17 to 19 Grand Haven Salmon Festival

Sept. 17 to 19 Waterfront of downtown Grand Haven Select portions cost money Featuring wine and beer tasting, a Kids Zone, a fishing contest and more http://www. visitgrandhaven.com

Sept. 18 and 19 Tulipanes Latino Art & Film Festival

Sept. 18 and 19 Centennial Park, Holland Free admission Featuring piñatas, capoeira mandinga, a dancing horses show, Spanish rock and more http://www.tulipanes.org

Sept. 19 Eastown Street Fair

Sept. 19 Wealthy Street SE, downtown Grand Rapids Free admission Featuring two stages of local bands, art and food http://www.eastowngr.com Photo Manipulation / Alana Holland, Google Images

Having a Grand time: Fireworks displays will be just one of the many free events planned for two fall festivals in Muskegon and Grand Rapids during the Labor Day weekend.

Time to party on the Grand By Haley Otman GVL Laker Life Editor

Admission to a popular downtown festival: $0. Food selections to entice your palate: $1 to $5. Great sights to see and fireworks: $0. Celebration on the Grand festival: a winning cost. Downtown Grand Rapids will take center stage next Thursday through Saturday for the return of the uber-popular Celebration on the Grand festival. With free admission and low, fixed prices for food, the Grand Valley State University student-on-a-budget can afford to attend this event, which takes place annually during Labor Day weekend. “One of the great parts about coming to GVSU is that there’s always something to do downtown,” said GVSU student Danielle Dekoski. “This will be the third year I’ve been to Celebration on the Grand, and it’s really fun!” Fireworks will light up the Ah-Nab-Awen Park and Rosa Parks Circle in downtown Grand Rapids at dusk on Sept. 10, but there is a full schedule of events starting Sept. 9 to fill up the whole weekend. For those over 21, beer and malt beverages will be avail-

“O

able for purchase in ne of Rosa Parks the great Circle in a designated parts about alcohol boundary. coming to The AhGVSU is Nab-Awen Park will that there’s be alcoholfree. always T h e something Taste of Downtown to do offers food from popudowntown. lar down-Danielle town locaDekoski tions, all from $1 to GVSU Student $5. Some participating restaurants include The B.O.B., San Chez and the Electric Cheetah. The Taste will run for all three days. “The Taste will be awesome, because I’ve been wanting to try San Chez,” Dekoski said. Up-and-coming country music standout and Nashville Star winner Chris Young will be the headlining act for Country Night to kick off the festival on Thursday. Young’s most recent hit single, “Gettin’ You Home,” is a romantic song that has made a big splash.

He also released the single “The Man I Want To Be” from his 2009 album of the same name, which magazine “Country Weekly” gave 3.5 stars. All of his songs, as well as both albums, can be purchased on iTunes so people can prepare to sing along. Saturday night will close the festival with a dusk showing of the recent animation, “Cloudy With a Chance of Meatballs,” to which guests are recommended to bring a big blanket to lie on while enjoying the movie. According to the festival’s Web site, “Celebration on the Grand originally was started to ‘Celebrate’ all of the great developments that occurred in Grand Rapids.” Although everyone can attend the event for free each year, it does cost more than $120,000 to put on, which is funded by sponsors and gifts. Some sponsors include Amway, Star 105.7 and Celebration! Cinema. To learn more about Celebration on the Grand, visit http://www.celebrationonthegrand.org for complete schedules, FAQs, previous event photos and a poster advertisement designed by 2009 ArtPrize winner Ran Ortner. lakerlife@lanthorn.com

GVL Archive

Sunset serenade: A crowd enjoys evening music by The Iguanas at the Celebration on the Grand last year.

Courtesy Photo / themichigangarageproject.blogspot.com

Bayside blast: This Muskegon lighthouse will oversee the Shoreline Spectacular, a three-day festival.

Shoreline Spectacular appeals to entire community, moves to new location

D

By Haley Otman GVL Laker Life Editor

owntown Muskegon will become a Labor Day attraction for the Shoreline Spectacular, which takes place this weekend. The festival will offer a huge variety of activities for people of all ages, from the expected (food vendors) to the wacky (human foosball games). Students over 21 can start off the weekend with a visit to the beverage tent on Friday, while three bands will entertain from noon through 11 p.m. with the “Good Ole Rock ‘N Roll” theme. Time & Matt will play from noon to 3 p.m., followed by Shirey Brothers from 3:30 p.m. to 6:30 p.m. and The Shiznit from 7 p.m. to 11 p.m. Friday will also include food, games and inflatables for children, pet adoption and more. Know a woman who has aged better than fine wine? Nominate her to compete in the “Shoreline’s Finest Cougar Pageant” starting at 7 p.m. at the Holiday Inn. The ladies must be at least 45 years of age and single, widowed or divorced. The finest cougar will win a Cougar Cruise on the Royal Caribbean cruise line, a “Shoreline’s Finest Cougar” sash and more. The Shoreline Spectacular moved to its current location for this fall to give the festival a better area to get bigger each year. “We anticipate a fantastic 2010 festival!” says the festival planners on the Web site. “Our goal (in moving to a new location) is to revitalize and rejuvenate the spirit of the festival.” A main attraction on Saturday will be the Human Foosball games from 10 a.m. to 8 p.m. Arts and crafts vendors will be back from 10 a.m.

to 8 p.m., as well. The Poker Walk will take place from 11 a.m. to 4 p.m. through the downtown bars. At night, the Alden Nash Band will open for Backwoods Thunder, who plays from 7 p.m. to 11 p.m. Backwoods Thunder is a fourmember country band who describe themselves as “from the Backwoods of West Michigan” on their MySpace page, http://www.myspace.com/ backwoodsthunder. The band prides itself on being a great mixture of country and rock and roll, and the members urge fans to “Step into the WOODS … hear the THUNDER!” For those unfamiliar with the group, sample music can be played on its MySpace page. During this same day, the Governor’s Cup Sailboat Race also takes place. Fireworks will light up the lakeshore at dusk on Sunday. They will take place over Muskegon Lake and can also be seen from the Convention and Visitor’s Bureau. The festivities will continue on Labor Day with the Labor Day Parade at 11 a.m. Hungry students can take part in the Hot Dog Eating Contest at 2 p.m., and the Jager Girls will pass out freebies from 6 p.m. to 8 p.m. The Holiday Inn is hosting “The Party after the Party” starting at 11 p.m. on Sunday and Monday nights as well. The Shoreline Spectacular festival will take place from Friday through Monday in downtown Muskegon, on Western Ave. General admission is free, though there are also many vendors with food and arts and crafts available for sale. For more information, including a complete schedule of events, visit http://www. shorelinespectacular.com. lakerlife@lanthorn.com


OPINION

editorial@lanthorn.com

Grand Valley Lanthorn Thursday, September 2, 2010

A5

EDITORIAL CARTOON

EDITORIAL

Making lemonade Though Michigan has become a rather unwelcoming environment for higher education, GVSU has not let the state’s shortcomings limit the university’s success.

There is a whole list of roadblocks the Michigan government has set up for aspiring college students, but the hardest blow the state dealt GVSU personally came from consistently low per student appropriations, an inhibition that the university has had to deal with for five years. In 2008, the average amount per student that universities received from the state was $5,719. GVSU was given $3,026 per student, placing it at the bottom of the 15 public state universities. However, in the past 10 years, GVSU’s enrollment grew by 42.6 percent, making it the fastest growing state school. Even in light of this ever-increasing number of students to support, GVSU only raised its tuition 113.2 percent over a 10-year span. This may seem high, but the state average percent increase was 122.1 percent with Central Michigan University increasing its cost by a high of 180.2 percent. Relatively speaking GVSU has maintained its affordability, but that extra $4,555 students have to pay now compared to the cost in 1999 is still significant. As Michigan’s economy continues to slump, it becomes more difficult for students and their families to afford large expenses like a college tuition. But GVSU rose to the occasion and made the best of a lessthan-ideal situation. The available financial aid at GVSU has risen in conjuncture with the cost of tuition, with $24,545,728 from the institution alone up for grabs for this year’s students. Though most of this financial aid comes in the form of loans, which must eventually be repaid, it still puts college within the immediate reach of students who otherwise would not have the opportunity. They should be able to repay those debts with the higher-paying job they find as a result of a better education. Finding a job, however, is also an uncertainty here. Since the auto industry decline, Michigan has posted some of the highest unemployment rates in the country. According to the Bureau of Labor Statistics, Michigan’s unemployment rate sat at 13.1 percent in July, the second-highest mark in the nation behind Nevada. Through its emphasis on a liberal education, GVSU has found a way to combat that to the best of its ability as well. A liberal education means students take courses outside their immediate area of study. In some instances, this can prolong graduation, cost students more money and seem unnecessary. However, after finally graduating, GVSU alumni hit the job field with more wellrounded and marketable skills than some of their peers who took a more narrow course of study. According to Career Services, 56.5 percent of GVSU graduates had secured jobs directly in the field in which they majored as of the 2008-09 school year. 72 percent are employed in some field and 19 percent are in grad school. Financial difficulties may be tough as students feel the pressure of increased tuition, they should appreciate what GVSU has done to ease the burden. The administration cannot compensate for all of the state’s problems, but they are making an honest effort to protect GVSU students from feeling the harshest repercussions.

The student-run newspaper of Grand Valley State University

Editorial Page Board Lauren Fitch Eric Lee Emanuel Johnson Chelsea Lane

Editor in Chief Business Manager Managing Editor News Editor

Valley Vote Were you able to sign up for all of the classes you wanted for the Fall semester

Yes: 85%

This week’s question: Has GVSU has dealt with the the lack of state aid well?

No: 15%

Vote online at Lanthorn.com

GVL OPINION POLICY The ultimate goal of the Grand Valley Lanthorn opinion page is to stimulate discussion and action on topics of interest to the Grand Valley Community. Student opinions do not reflect those of the Grand Valley Lanthorn. The Grand Valley Lanthorn welcomes reader viewpoints and offers three vehicles of expression for reader opinions: letters to the editor, guest columns and phone responses. Letters must include the author’s name and be accompanied by current picture identification if dropped off in person. Letters will be checked by an employee of the Grand Valley Lanthorn. Letters appear as space permits each

issue. The limit for letter length is one page, single spaced. The editor reserves the right to edit and condense letters and columns for length restrictions and clarity. All letters must be typed. The Grand Valley Lanthorn will not be held responsible for errors that appear in print as a result of transcribing handwritten letters or e-mail typographic errors. The name of the author may be withheld for compelling reasons. The content, information and views expressed are not approved by nor necessarily represent those of the university, its Board of Trustees, officers, faculty and staff.

GVL / Dan Sills

YOUR INSIGHTS

What are you most looking forward to about the game against West Texas A&M University?

“Since it’s the 50th anniversary and it’s a blackout game, I’m looking forward to the sense of Laker pride and the intense solidarity.”

“I’m most looking forward to seeing the intimidating student section wearing all black. I want Grand Valley to win”

“I’m looking forward to seeing how a Division I player will do on our team. I also want to see how our new coach will do.”

“I’m ready to see Grand Valley start out a winning season on their way to a fifth NCAA championship.”

“I’m looking forward to seeing the whole student body get together for the blackout. I’m also looking forward to seeing the team play.”

Denina Williams Senior English Chicago, Ill.

Courtney Overall Senior Biomedical Science Detroit, Mich.

Jasmine Scales Senior Public Administration Chicago, Ill.

Ed Hillerich Senior Professional Writing Holland, Mich.

Ali Powell Freshman Business Hudsonville, Mich.

GVL STUDENT OPINION

Top three reasons to hate the Emmy’s Anya Zentmeyer GVL Assistant News Editor

As I walk to the living room on the last Sunday evening before school starts, I notice there’s a crowd of roommates and friends blinking absently at our tiny television. Immediately I know something is up, I know something great is flickering across their faces in that washed out shade of blue, and I can’t wait to find out. But it’s not something great. It’s not J-Wow or Snookie or any of the usual suspects on the screen. No, it’s January Jones, and she’s on the red-carpet in her Versace

gown, blue and ruffled, and the commentators are ripping the girl to shreds. I don’t know who January Jones is, but she has a lovely name, and instantly I know this is a huge problem. Reason No. 1 why I hate the Emmy’s: The commentators are so mean. They gut January for all she’s worth. Nobody even likes these “newscasters” and yet somehow they are still on all of these shows and somehow people still rally around them as if they are preaching the good word. For the next four days I will have to listen to these newscasters say all of these mean things over and over again. I know that Hollywood is about objectifying people and stripping their

worth down to something as simple as outword appearance but - c’mon, man. You are bumming me out. Reason No. 2 why I hate the Emmy’s: Awkward banter is not okay. It’s not okay on Tosh.0, it’s not okay on America’s Funniest Home Videos, and more than ever it is not okay at the Emmy’s (although one could argue that nothing is really OKAY at the Emmy’s). I don’t like digital shorts with Glee cast members and I don’t like it when Jimmy Fallon lets Kim Kardashian sing, even if it was only for a second. Reason No. 3 why I hate the Emmy’s: Despite the awardgiving nature of the show, the entire premise

of award shows seems very vain to me. Famous people dress up in clothes that other famous people made while even more famous people talk about them as if they aren’t going to watch it later. Nobody cares about anything but looking good and winning – pop culture tends to harvest those kinds of ideas. In the end it comes down to how you view the Emmy’s. They are mostly harmless, if not completely and totally irrelevant. Then again, Americans are notorious for letting irrelevant things rule our lives. So here’s to you Emmy’s – for helping America along in its quest to further value all of the things I hate. assistantnews@lanthorn.com

college is useless. Far from it, as a matter of fact. Higher education is essential to a successful career, especially if you are planning on going into lucrative fields, such as engineering, biomedical sciences and philosophy. At one point, I was even planning to become an engineer, until I realized that it wasn’t entirely about building models out of Legos. But writing? Most of the world’s greatest writers never went through college (Twain, Wordsworth, [Eric] Carle), and they turned out alright. Maybe one or two sank into a deep alcoholic depression and killed themselves, but I doubt that it had anything to do with missing out on the college experience. Am I comparing myself to the literary greats? Yes. Is that conceited? Maybe to you trivial

peons. When I say that I’m a Creative Writing major, I get the same look I got when I was an undeclared freshman: pity, with a hint of arrogance. It also inevitably evokes the following question: “So, you want to do journalism?” No, idiot, because that would require a journalism degree. That’s like asking a criminal justice major, “So, you want to do crime?” I believe the reason they ask this question is because — out of the hundred of possible career options that writing could entail — journalism is the most respectable. Unfortunately, I do not possess the proper interviewing or seriousness skills needed to become a successful journalist. Also, I use the word “dude” too much. So no, general public,

I will not be a journalist. Please feel free to treat me as if I have some terminal disease because the truth is that I don’t really know what I want to do with this degree; it was simply the only major I felt I could pass without losing my flipping mind. And now that I’ve seen my reading list for this semester’s classes, I’m even convinced that Creative Writing does not bode well for my forthcoming sanity. Trust me, I get it; you’re all better than me. While the rest of society is out earning an abhorrent amount of money, I’ll be busy living on one of my rich friends’ couches, surfing the Web instead of focusing and doing any actual work. Is that respectable? No. But it’s all I know. History major dudes can back me up here. cslattery@lanthorn.com

Major Dumb to Ground Control: I’m worthless Chris Slattery GVL Columnist

I get it; you’re all better than me. There’s no need to sugar-coat it anymore. I’m looking at you, culinary majors. You’re just the icing on the cake. Yes, I have a useless major. “Creative Writing?” What the hell does that even mean?! Let me explain: throughout my childhood, everyone told me to go to college to get a good education and —as a result of that— a good job. Now that I am in college (of which I am currently in my fourth year), all of that advice from my adolescence (of which I am currently in my second year) doesn’t amount to a pile of garbage. This isn’t to say that


A6

Thursday. September 2, 2010

ADVERTISEMENT

Grand Valley Lanthorn


SPORTS

Cody Eding, Sports Editor sports@lanthorn.com

BRIEFS!

GV SPORTS BREIFS

1

Grand Valley Lanthorn Thursday, September 2, 2010

Lakers set to open season against No. 8 West Texas A&M Containing Buffalo spread offense will be a priority for Laker defense By Cody Eding GVL Sports Editor

Kelly, Martin to make Notre Dame coaching debuts Saturday

Former Grand Valley State Univerity football coaches Brian Kelly and Chuck Martin will start their University of Notre Dame coaching careers at home Saturday when the Fighting Irish take on Purdue University. Kelly, who led the Lakers from 1991 to 2003, signed a five-year year deal with Notre Dame after spending four years at Cincinnati. The Irish officially introduced him as their head coach on Dec. 10 of last year. Martin joined Kelly’s staff as the defensive backs coach after leading GVSU to the Division II National Championship game last season. The game will be televised on NBC. Kickoff is slated for 3:30 p.m.

2

Women’s soccer to hold open tryouts

The Grand Valley State University women’s soccer team will host walk-on tryouts on Sept. 7 from 5:30 p.m. to 7 p.m. In order to partcipate, prospective players must have had a physical completed within the last six months. Interested persons should contact GVSU head coach Dave DiIanni at 616- 3313080 before the tryout date.

3

With untested potential at several key positions, the Grand Valley State University football team may have more questions than answers heading into tonight’s game against West Texas A&M University. The Lakers face a formidable opponent in the Buffaloes, who are ranked No. 8 in Division II and won six straight games to close out the 2009 season. GVSU took home a 37-23 victory on the road in the season-opener against the Buffaloes last season. Sporting new starters at several key positions - including Eastern Michigan University transfer Kyle McMahon at quarterback - and a new head coach, the Lakers look different than they have in recent years. “We’re anxious to get going,” said GVSU head coach Matt Mitchell. “We’ve put a lot of time an effort into this ... We’re ready to get on the field and show everybody our product.” Any success that GVSU will have will rely on containing West Texas’

Courtesy Photo / Jeremiah Schrader

Back in Action. Robert Carlisle takes down a quarterback in a previous game. He will get the chance to see action tonight after an injury forced him out for most of last season.

spread offense. The Buffaloes have experience at every offensive position and are led by senior quarterback Taylor Harris. Mitchell said while Harris is not very mobile, he works well in West Texas’ system. He passed for 306 yards and two touchdowns last year against the Lakers, proving his effectiveness. “He can make any throw on the football field,” Mitchell said. “He gets

them into a lot of good plays. He’s a very intelligent player, and he’s kind of crafty. He’s got a little Brett Favre in him.” The responsibility to stop Harris falls on a defense that will take to the field without senior defensive end Danny Richard. The preseason All-American tore a ligament in his left knee during a non-contact drill at a Laker practice session earlier this month. The injury will put him out

A CLOSER LOOK West Texas A&M

Nickname: Buffaloes Location: Canyon, Texas Enrollment: 7,770 Head Coach: Don Carthel, sixth Season (51-12)

Friday is the last day for students to register for intramural softball, sand volleyball and tennis. Registration is to be completed online at www. gvsu.edu/rec. More than 3,500 different individuals participate in intramural athletics on a yearly basis.

WEEKLY GAMES

Today 8 p.m.: Football vs. West Texas A&M,

Friday 3:45 pm.: Volleyball vs. Concordia-St. Paul (Tampa, Fla.) 4 p.m.: Soccer vs. Winona State

Saturday 9 a.m.: Volleyball vs. Central Missouri (Tampa, Fla.) 6 p.m.: Volleyball vs. NebraskaKearney (Tampa, Fla.)

Sunday

Noon: Soccer vs. Minnesota State-Mankato, 1 p.m.: Volleyball vs. Tampa (Fla.) All day.: W. Golf at Ferris State Invitational

Monday

Quarterbacks

Offensive Scheme: Spread Defensive Scheme: 3-4 Last Season: 7-5, Reached NCAA playoffs

Taylor Harris, quarterback Harris returns as a second-year starter for West Texas. The senior completed 65.3 percent of his passes last season. In the team’s regular season finale against No. 7 Tarleton State, Harris totaled 536 yards passing with four touchdowns.

Kyle McMahon, quarterback McMahon looks to follow Brad Iciek’s success in what will be his only season for the Lakers. The senior started six games for Eastern Michigan University last year and threw for 634 yards and four touchdowns.

’Extremely comfortable’ McMahon to lead GV offense Newly-appointed quarterback looks to lead team into successful season

“I

there, starting on Thursday and executing what we do.” ’m a GVL Staff Writer Mitchell said McMahon’s size - he is 5 inches taller dual-threat With quarterbacks often paving and 31 pounds heavier the way for a winning tradition, than Neasman - will give quarterback. the Grand Valley State University opposing defenses plenty to Pass first, run football program had big shoes to worry about throughout the fill when Brad Iciek graduated season. second, but I last December. Now that Iciek is “He’s a 6-foot-3-inch kid, gone, newly-appointed starting 220 pounds, and not only is like to make quarterback Kyle McMahon he fast, but he’s physical plays when must fill that role. too,” Mitchell said. “There’s McMahon, a senior transfer going to be teams that have I can’t find from Eastern Michigan University, beat out a hard time tackling him fellow senior Marquel Neasman in a heated when he’s running. We’re someone open battle for the starting quarterback job this going to do some designed downfield. offseason. runs, but also I think he’s Fans may recall Neasman from appearances going to scramble and make during lopsided Laker blowouts during the some plays that maybe Brad -Kyle McMahon previous three seasons. However, McMahon’s (Iciek) did not.” GVSU starting strong arm paired with his ability to make plays McMahon added that quarterback with his feet ultimately won favor from GVSU he is ready to both run and head coach Matt Mitchell. pass, and he expects that McMahon said he has been dutifully combination of offensive studying the offense since his arrival in strengths to keep defenses off balance. Allendale and expects to be all-systems“I’m a dual-threat quarterback,” he said. go on Thursday against West Texas A&M “Pass first, run second, but I like to make plays University. when I can’t find someone downfield. We have “I’m extremely comfortable with the plays that work well against any defense, but if offense,” he said. “I got to go through the something happens and they show us a whole summer. I was up here working on different coverage than we’re the plays, working with the guys, and expecting, I can scramble and camp was obviously a big help create a play.” as well. Now it’s just As a Division I transfer, about going McMahon previously competed out against some of the top college talent in the country. However, he said the difference between GVSU and some Division I schools is not as vast as some may think. “As far as competition level is concerned, ” I haven’t seen that big of a difference, to be 3 ’ t: 6 h honest,” he said. “Except for the high caliber g s i d He teams like Michigan, Arkansas and Maryland, oun p 8 the only difference I would say is 1 t: 2 h a little bit of size. They do have g i We bigger players … but as far as p e r r o P i speed is concerned, especially n e m Se c a : s a D i our defense, it’s still a very fasts t tre Cla o Pon paced game and it’s going to be : N n iac n something that I’m expecting.” a etow g ont i

n

Kyle

Hom

h

Hig

All day: W. Golf at Ferris State Invitational

M

Last

GVL / Eric Coulter

Fresh start: Senior Kyle McMahon begins his GVSU career Thursday.

o h a cM

l: P

oo Sch

Wednesday

4 p.m.: W. Soccer at Ferris State

of action for the rest of the season, leaving a massive hole on the GVSU defensive line. “A couple of guys on the defensive line are going to have to step up and make some plays for us,” said linebacker Justin Victor about Richard’s absence. “As far as the (linebackers and secondary), some of the more experienced guys are going to have to elevate their game and come out and compete.” On offense, a veteran line will return four starters and anchor the team. McMahon will work with a new core of running backs that includes returning junior Justin Sherrod and sophomore Norman Shuford, a transfer from the University of Akron. At receiver, GVSU returns senior Ryan Bass, who caught eight touchdowns last season, and junior Greg Gay, who will look to replace the highly-productive graduate Blake Smolen. Returning offensive lineman Cameron Bradfield said tonight’s game is the culmination of all of the off-season work the players put in. “There’s going to be a good atmosphere out there Thursday - we’re on CBS, we’re going to have a good crowd,” he said. “So there is going to be a big payoff, hopefully.” sports@lanthorn.com

WHO TO WATCH

By Greg Monahan

Intramural registration deadlines begin Friday

B

Sch

ool:

rn M e t s Ea

ich

gmonahan@lanthorn.com


B2

SPORTS

Thursday, September 2, 2010

Grand Valley Lanthorn

Athletic department prepares to handle national media Lakers to compete in first nationally-televised, regular season game since 2006 season

A

By Curtis Kalleward GVL Staff Writer

side from the hometown cheers at Lubbers Stadium, most Grand Valley State University football seasons begin with little fanfare. For the second consecutive season, however, the Lakers will attempt to tackle a nationally-ranked foe in the regular season. West Texas A&M University will come to Allendale tonight to open the 2010 NCAA football season. For the first time in the regular season since a 2006 game against Michigan Technological University, a national audience will follow the team’s every move on television. The game will be available live on the CBS College Sports channel and will be shown tape delayed on Friday at noon on Fox Sports Detroit. The GVSU sports information staff said they are fully equipped for handling the national media. “We’ve been through the national media spotlight a lot, obviously, with all of the ESPN games and CBS College Sports presentations that we have done previously,” said Tim Nott, GVSU associate athletic director of media relations. “It’s not much of a difference now than any other time because we televise all of our home games anyway (on local cable). It’s a bigger production dealing

with the national talent that they are going to bring in, along with a bigger production crew, but we’ve been through it so many times that it’s really not that big of a deal to us.” Nott added GVSU is one of the more organized colleges in NCAA Division II athletics as most schools would not have the ability to host the increased number of media correspondents. “It’d be a lot harder for schools, other than Grand Valley, in our league to do this because of where the cameras are going to go and where the media can go,” Nott said. “But for us, this national attention isn’t really that much of a difference (from how home games are normally produced). As far as logistics go, we’ll have the necessary camera decks set up for them when they come here so they know when they come here where they are going to be.” GVSU Athletic Director Tim Selgo welcomes the national attention the school receives from high-profile games such as the football home opener. “The name recognition of Grand Valley has increased around the country,” Selgo said. “People now know who you’re referring to when you say Grand Valley State University. (Big games) have certainly had an impact in our Midwest region. The value isn’t so much financially as it is the name recognition that it brings for us.” The great distance be-

“We’ve been

through the national media spotlight a lot ... we’ve been through it so many times that it’s really not that big of a deal to us.

-Tim Nott GVSU Associate Athletic Director of Media

tween the two schools keeps the home-field advantage very much intact. Kent Johnson, West Texas A&M’s associate athletic director of media relations, said he does not expect to see too many fans cheering on the Buffaloes at Lubbers Stadium. However, he added that the school did not push the game either. “We haven’t done any promotions out of the ordinary,” he said. “It’s a big game, and people want to come up and see it, but it’s on national TV, so it defeats the purpose of pushing it too much.” Despite the distance, Johnson said there will still be a few fans clad in burgundy and white - West Texas’ colors. “We’ve got 45 people who have paid for a seat on our charter flight, and quite a few folks are driving up in order to make a long Labor Day weekend out of it,” he said. ckalleward@lanthorn.com

GVL Archive

Showtime: Tonight’s home football game will be nationally-televised on the CBS College Sports channel.

Mitchell kicks off head coaching career New head coach will take reins of GVSU program with four NCAA Championships in the past decade By Cody Eding GVL Sports Editor

New Grand Valley State University football coach Matt Mitchell said he has not lost any sleep since taking over the program’s helm in January, but that does not mean he is any less anxious to get his first season underway. When Mitchell takes the field tonight, he will become the seventh head coach to do so in GVSU’s history and only the third head coach at the university since the hiring of Brian Kelly in 1991. “We spend a lot of time behind the scenes that people don’t know about,” Mitchell said. “I’m ready to get out there and start coaching in a game atmosphere, making adjustments and doing the things we’re used to doing.” With tonight’s game being broadcast nationally on the CBS College Sports channel, Mitchell said many family members and friends plan to

GVL / Eric Coulter

It’s time: Matt Mitchell will enter his first game as head coach tonight.

tune in to his coaching debut. The 35-year-old took the reigns from Chuck Martin after six years as an assistant coach on Martin’s staff. Most recently he served as the defensive coordinator and linebacker/safety coach. In 2009, Mitchell’s defense ranked in the top-20 of six Division II defensive categories and held six opponents to 10 points or less. When Martin left GVSU for a job on Kelly’s staff at the University of Notre Dame after last season, the athletic department did not have to look far to find Martin’s successor. As they had done in the past with both Kelly and Martin, the university hired from within its own program. GVSU Athletic Director Tim Selgo said Mitchell’s experience with recruiting in the area and awarding scholarships at the Division II level made him the top candidate. Division II football programs are only awarded 36 scholarships to spread among the entire team, while Division I teams are allowed 85 scholarships. “There was no question that during the interview process it became very evident that Mitch’s six years at Grand Valley - two years as a defensive coordinator - was something we valued highly,” Selgo said. “As opposed to the other candidates, he was part of the most successful Divsion II program at the time.” The football program has six assistant coaches with six years of experience at GVSU each, as well as more than 100 returning players from 2009. Mitchell said that made the transition from coordinator to head coach even easier.

“The kids knew the structure of our offense and defense,” he said. “They knew the structure of our special teams. They knew how we practiced. They knew what we did. So, I didn’t have to come in and make a ton of overall changes. If I was having to come in as a new coach and install everything we wanted to do, I’m sure there would definitely be a sense of like, ‘Eh, I don’t know if I ready for this.’” Junior safety Zach Breen, who played two seasons under Mitchell’s defensive tutelage, said his new head coach’s promotion gave the players a head start on the new season. Instead of having his players learn a whole new system, Mitchell picked up where Martin left off. “It was great,” Breen said. “We didn’t have to learn a whole new system. We’ve been practicing the Grand Valley way. We didn’t change anything.” And so, GVSU’s new leader has big shoes to fill. The Lakers captured four national championships in the past decade – two under Kelly and and two under Martin. “I don’t think I’m in the shadow anymore,” he said. “I probably was in the past, but I’m now the head coach. The tradition that was established by Brian Kelly and Chuck Martin, we’ve maintained a lot of those same traditions. In my mind, I was working with Chuck and a lot of that staff and now that he’s gone, I’ve just stepped up to the front and now I’m working in conjunction with my staff to uphold the same traditions that we’ve had.” sports@lanthorn.com


A&E

Elijah Brumback, A&E Editor arts@lanthorn.com

Grand Valley Lanthorn Thursday, September 2, 2010

B3

Places to be: Grand Rapids’ most popular venues By Elijah Brumback

Ah, the smell of a new semester, fresher than a brand new loaf of bread from the bakery. Orientation is over and all the debauchery of welcome week is behind all us students, new and old. So its time to buckle down at this point right? While there might be some truth to that, there is still plenty of harmless self-indulgence to wrap all your greedy little fingers around, that is if you have all your papers written and all your reading done. Whatever. Here are a few places to blow off that paper or reading assignment and when the snow starts to fall maybe one of these places will give you something to do instead of staring out your dorm room window thinking, “What am I doing here?”

GVL A&E Editor

Frederik Meijer Gardens:

Don’t have a lot of extra cash to be throwing around? Be that the case, it would be wise to take a stroll through this renowned sculpture park. Filled with works from some of the most prominent names in art history such as Auguste Rodin, Jacques Lipchitz and Claes Oldenburg, the gardens are a virtual utopia of natural and manicured landscape complemented by numerous inspiring works of art. There is also a carnivorous plant house, and if that doesn’t spark your interest then it might be worth the while to revaluate your lost sense of child-like wonder and imagination. Admission for students is $9, which includes access to special exhibits. Upcoming features include: • Dale Chihuly’s New Eden glass work at 15 different sites around the garden from now until Oct. 31 • ColorFall, which runs from Sept. 17 to Oct. 31, features thousands of blooming chrysanthemums in the Seasonal Display Greenhouse as well as other activities

Van Andel Arena:

Dollar beers and hot dogs during Griffins season. Enough said. If grown men on 1/10 of inch blades chasing a puck and smashing each other’s teeth in isn’t your thing, the arena also books massive shows from Daughtry to the Ringling Bros. and Barnum & Bailey.

The GRAM and the UICA:

Courtesy Photo / gardenvisit.com

Contemporary art thrives in Grand Rapids. The artist community here is resourceful, highly motivated and a major component of the downtown community. The Grand Rapids Arts Museum and the Urban Institute for Contemporary Art are always putting together a revolving production of events, some of which are free to the public or often reasonably ticketed. Art Prize, the world largest grand prize competition for all forms of art, is also on its way again this year, and it has grown exponentially. Grand Rapids erupts for this event and it one of the year’s must-attend events. If you are interested, Google the name Rob Bliss and be ready to mark dates on your calendar; the man is on a mission to bring fun, creative and interesting things to West Michigan, one of which is Art Prize.

Courtesy Photo / mlive.com

The Intersection and The Orbit Room:

If going to see bands and live music is your bag, then these are the places you’ll want to keep an eye out for. Being between Detroit and Chicago doesn’t often allow for some of the greatest acts to head this way, but every now and again, a group comes along that is worth waiting for. Besides, beyond the major live acts, Grand Rapids has an eclectic and rising local music scene worth looking into even if you’re only just curious. From time to time the Intersection welcomes a rap group of some clout and The Orbit Room has been known to book some serious DubStep and Electronic outfits. Still both venues cover a variety of tastes, the only drawback being that some shows are 21 and up or 18 plus cover. Coming up in the next few months are Coheed and Cambria, As I Lay Dying, Flyleaf and Hello Goodbye.

Courtesy Photo / archuletavenue.wordpress.com

Courtesy

Photo /

Google

Images

The Wealthy Theater:

provide

Courtesy Photo nce.buzz net.com

From your favorite cult-classics to the most challenging and provocative indie cinema, the Wealthy is consistently showing great films and hosting the most absorbing events. Open weekdays from 2 p.m. to 7 p.m., admission to the theater varies by event. Events in the upcoming week include a Meanwhile Movie “Interview with a Vampire,” the only showing where you can enjoy a glass of Michigan beer or wine while you watch, an oral presentation on the history of Wealthy Street and an International Folk Dance performance. For more information on these and the numerouse other events held at the Wealthy, visit www.grmc.org/theater.

Courtesy Photo / Google Images


B4

Thursday, September 2, 2010

A&E

Grand Valley Lanthorn

Artist profile series: Joey Salamon Student focuses work on large scale, collage projects “It is a challenge to By Elijah Brumback GVL A&E Editor

A man, sitting naked, beckons over a young boy holding a sucker and a cross taped to his back while a stained glass Virgin Mary looks mildly upon the scene. This is not an actual event, but rather “Issue 1” in artist Joey Salamon’s early mixed media collage series “Voxpop,” The graphic and satirical magazine features articles with headlines including, “What they do when God isn’t looking: an exclusive interview with Jesus Christ,” and “10 reasons why SALAMON born-again virgins are SO LAME.” This and other pieces were displayed during Salamon’s senior thesis show, “Naked Obscenity,” last April. Since then, Salamon has continued creating, promoting and preparing for his upcoming show, “The Masses,” and the superlative grand performance for any young artist, ArtPrize, about which his feelings are mixed. Salamon’s pieces have been featured in GVSU’s “Fishladder,” newly-opened Grand Rapids gallery, “Art Addiction and Oddities,” and the Midland Daily News in his hometown of Midland, Mich. As of June, Salamon had also been the sole illustrator and designer for Grateful Dog Tees, an emerging T-shirt company located in Grand Rapids. But creating the engaging and provocative works Salamon makes was not something that happened to strike him in the head while he searched for his creative style. He said a couple of years in experimentation and sifting through mediums in the making helped to mold his graphic style. “I started my first collage about two and half years ago,” he said. “I have a lot of interest in pop art, and that sort of style really interested me when I began working with mixed media.” Most of Salamon’s work is large scale and done with an incredibly vibrant palette, consisting of neon’s juxtaposed with jet-black negative space. “Space Walk,” the piece he is entering in ArtPrize, is a 16-foot tall by 12-foot wide collage of an astronaut created from recycled bits of colored paper and duct tape. “It is a challenge to do large scale pieces, and it seemed more interesting to do than some of the things I saw being created around me at the time,” he said. “It took about three and half months working non-stop.” Salamon said he is not picky when it comes to things he allows to influence his work, though his interests in stark imagery, psychedelia and graffiti art are chiefly responsible for the greater portion of his portfolio. “I’ve been working quite a bit with revitalizing old photographs,” he said. Some of the images he’s transformed are a historical image of a Native American chief, the supposed UFO crash of 1950 in Roswell and the animated characters of the altermative/ electric-pop group Gorillaz. In a strange and unexpected shift, however, Salamon has been experiencing a side of the art community that has made him uneasy. With ArtPrize on the horizon, his feelings and efforts have moved from creating art to promoting it. “I feel kind of whorey,” he said. “You have to kind of start thinking with a business mentality.” Salamon does not find promoting himself to be particularly appealing, but he recognizes it as a sort of necessary evil. He said he believes that much of the art world is misguided in the way that some efforts seem to be more attributed to driving the vehicle for consumer advertising, but that ArtPrize is great in that it brings art to the masses and without much pretention.

“I’m excited to be a part of it,” he said. “It’s free publicity and the opportunity to get your name out there to something like 200,000 people.” Currently Salamon is working on a piece for the GVSU Central Utilities Building. The piece, he said, is going to be of a very patriotic theme that includes an American flag and a bald eagle. Salamon’s “The Masses” show begins Sept. 13 in the Padnos Gallery on the Allendale campus. ArtPrize begins on - Joey Salamon Sept. 22. To see more of Salamon’s GVSU Senior work, visit his current Web page http://www.lullafly.com/ joey/ or follow his efforts SEE MORE ONLINE at http://www.twitter.com/ >> Visit Lanthorn.com for a column on Fall Art JoeySalamon/ arts@lanthorn.com Celebration

do large scale pieces, and it seemed more interesting to do ... It took about three and a half days months working non-stop.

Courtesy Photo / Joey Salamon

Chief artist: Joey Salamon transforms old pictures into new works of art.

Courtesy Photo / Joey Salamon

Moon man: This work, “Space Walk,” is one of artist Joey Salamon’s pieces that he will be entering into this year’s ArtPrize competition. The work is comprised of twelve pieces of recycled paper held together with duct tape. Altogether the piece is 16 feet tall and 12 feet wide.


MARKETPLACE

Grand Valley Lanthorn

Announcements

Housing

Services

$1 Delivery to Campus! $10 Large Pizza w/ 1 Topping and Howie Bread. Expires 12.31.10 6185 Lake Michigan Drive 616.895.6777.

Copper Beech Townhomes...the most space for the best price! 1, 2, 3, or 4 bedroom units! Located in Allendale on 48th Street. Call 616-895-2900 or visit copprbeechtownhomes.com for more information.

Experienced Attorney 3 Miles from Campus. 616.895.7300. www.davidknoesterplc.com.

Catholic Campus Ministry. St. Luke University Parish. Your catholic connection at GVSU. Sunday Masses: Allendale Christian School 8:00 & 10:30 am Grand Valley Cook-DeWitt 5:30pm. Live your best life! Snap Fitness offers two convenient locations in Allendale and Grand Rapids. Stop in today and get your first month free! www.snapfitness.com Parking passes still available for 2010/11 school year. $320 for 7+ credits. $83 for 6 or less credits. Order online at www.gvsu.edu/publicsafety Are you looking to save money on textbooks this year? Look no further! Brian’s Books has two convenient locations in Allendale and Grand Rapids. www.briansbooks.net.

Entertainment Cheap Food, Tickets and Drinks! Tickets just $5 when you show your college ID! You can check us out at whitecapsbaseball.com or fifththirdballpark.com! Every Monday is College Night. Get in for just $5 with your College ID. Text KZOOVU to 68683 to receive discounts and coupons! Visit dejavu.com

Lost & Found Free “Lost and Found” Ads for faculty, students, and staff. Ad will run four editions. Call 331-2460 or submit at Lanthorn.com

Free rent for 1 month with 12 month lease. New apartments for 2010. Free heat, laundry, and parking. Call University Townhomes 616.895.4001

How will you get to campus? The bus, park and ride, walking, and biking are free. Also, drive or carpool. For more information www.gvsu.edu/transportation. Welcome Back Students! Secret Nails 4507 Lake Michigan Dr. Walker, MI 49534. Student Discounts Available. 616.453.4353. secretnails@yahoo.com

New apartments for 2010. August deal, sign a 12 month lease and get one month rent free. Free heat, laundry, and parking. Call 616.895.4001

Experienced Attorney 3 Miles from Campus. 616.895.7300. www.davidknoesterplc.com.

One Bedroom Apartments in the heart of downtown. Check us out at www.highlandplaceapartments.com or call 616-234-0100.

How will you get to campus? The bus, park and ride, walking, and biking are free. Also, drive or carpool. For more information www.gvsu.edu/transportation.

Come experience the Comfortable and Affordable side of Living. Check us out at www.loftsapartments.com or call 616-234-0100. Luxury skyline living in the heart of downtown Grand Rapids located across the river from the GVSU Downtown Campus. Contact 616-776-3300. Rates at Pineridge Apartments starting at just $399. 1 month free when you sign a 12 month lease! Call today! (616) 453-7999 or visit pineridge-apartments.com.

Opportunities Changing the world by changing theirs. TEACH. $30,000 Fellowship. Master Degree. Ongoing Support. Apply now – October 13 deadline. www.wwteachfellowship.org.

Welcome Back Students! Secret Nails 4507 Lake Michigan Dr. Walker, MI 49534. Student Discounts Available. 616.453.4353. secretnails@yahoo.com Lake Michigan Credit Union: Best place for GVSU banking. Free checking, online banking, 5 ATMs on campus. Open Mon-Thurs. 9-5:30, Fri 9-6 &Sat 9-1. Looking for beautiful flowers all year round? Rosedale floral has a variety of fresh flowers, candy, and stuffed animals to meet your needs! www.rosedalefloral.net. Providing reliable and confidential information on abortion and alternatives, emergency contraception, after abortion questions and STD test. 24 hr call (616)456-6873. Free: pregnancy test, ultrasound.

Thursday, September 2, 2010

B5


B6

A&E

Thursday, September 2, 2010

Grand Valley Lanthorn

‘30 Minutes Or Less’ latest film to call West Michigan home By Josh Brunsting GVL Staff Writer

While places such as Chicago, New York and Hollywood have become synonymous with the world of cinema, one area is trying to place itself on the film industry’s map. During the past year with small independent films starting and holding their production in greater West Michigan, a new comedy has launched the area into the world of big budget, Hollywood productions. Currently filming in Grand Rapids, “30 Minutes Or Less” will be the latest film from “Zombieland” director Ruben Fleischer. Featuring a cast that includes “Parks And Recreations” star Aziz Ansari and “The Social Network” lead Jesse Eisenberg, the film is one of the biggest productions to Produchit the Grand Rapids thus tions) bring far. The film follows a pizza awareness to delivery guy who must rob a bank for a pair of criminals both film as to save his best friend to an entity, and whom the crooks have attached a bomb. It follows especially films in the steps of films such as and filmmakthe upcoming Dustin Lance Black film, “What’s Wrong ers working in With Virginia,” and the Kurt our area. Russell film, “Touchback,” that have brought some of the biggest names in the film world - Brendan Pelto Harbor theater directly to West Michigan. “I think the interest in the area Owner is not only based around the fact that the area is a genuinely interesting place, but the Michigan tax incentive is a definite boost,” said crew member Nicholas Popma, a GVSU student. “It not only gives filmmakers a reason to look into the area, but it also gives them great incentive to stay and make their films here.” The Michigan film incentive program is one of the country’s most aggressive incentives of its ilk. Film companies that hold productions in the Grand Rapids area are able to take full advantage of a 42 percent tax

“(

break, according to the City of Grand Rapids. Popma, a broadcasting major, is a stand-in for Ansari during the production. “It’s definitely been an interesting experience,” he said. “Ben Stiller and his company, Red Hour Films, are producing and it’s been eye opening to see how they set up lighting, camera angles and seeing actors in the midst of their craft.” While the film has brought an increase in revenue for businesses in the area, it has also helped raise interest in the world of film as a whole, said Harbor Theater owner Brendan Pelto. “Even though the area is indeed making a lot of money off of these productions, the great thing about them is that they bring awareness to both film as an entity, and especially films and filmmakers working in our area,” he said. “What we have seen is a definite rise in the interest in not only Michigan film productions, but overall cinema.” Pelto reopened the Muskegon historic theater in April 2008. He said that he, along with wife, Jen, has seen a definitive uptick in public interest in the films that they have to offer, regardless of the production location. “I think it’s always important for the public to truly support the arts of their area,” he said. “There is nothing more important for a community than to get out and support those making art for and within it, no matter the budget behind it.” “30 Minutes Or Less” has a tentative release date of Aug. 12, 2011. jbrunsting@lanthorn.com

Courtesy Photo / mlive.com

Local film: A frame from “30 minutes or Less” is pictured. Courtesy Photo / mlive.com

Lakeside comedy: Aziz Ansari (left) and Jesse Eisenberg (right) perform on the set of “30 Minuits or Less.” Directed by “Zombieland” director Ruben Fleischer, the movie is the latest of several big productions to be filmed in West Michigan.

GVSU Summer Film Project nears completion Latest student-produced film, ‘Horizontal Accidents’, to impress, entertain

I

By Nicolle Martin GV LStaff Writer

“Students can

n the early summer of 2010, 30 Grand Valley State University film and video students embarked on a mission to create what director Tom Seidman described as an “ambitious, interesting and dramatic film” titled “Horizontal Accidents.” Originally written by GVSU alumnus Michael Salisbury, “Horizontal Accidents” follows the adventures of two grave robbers and the high jinks that ensue. The story was - Tom Seidman selected in part by Seidman himself. Director “The plan for the year was to adapt a short story written by a Grand Valley student,” he said. “They sent me several copies of ‘Fishladder’ with highlighted stories, and I selected ‘Horizontal Accidents’. I thought it was funny, quirky, dramatic and interesting, ultimately having a funny cinematic premise that could be easily adapted and make an interesting short. It had a good structure that was relatively external.” Seidman had gotten involved with the GVSU film department after contacting professor Kim Roberts for interns while filming in Grand Rapids. Later Roberts suggested he take part as a guest director for the Summer Film Project. Roberts actively took part as producer for “Horizontal Accidents” as she had done for previous Summer Film Projects. She said her favorite part of being a producer is gaining an appreciation for how much support the GVSU administration and community provides. “What I enjoyed most about this year’s experience is that there were so many challenging locations and props to get,” she said. “We had to find a cemetery that would dig a

also see what can be accomplished with a student crew and a relatively low budget. I think they’ll be pretty impressed by what we have done.

Courtesy Photo / Matt Smith

Summer horizon: Several film and video students work on the set of “Horizontal Accidents” during the summer. The sudent-produced film is set to premiere early next year.

grave for us, we had to find embalming room supplies such as an embalming machine, table and bottles of fluids used in such an activity. We needed caskets, and people willing to lie in them.” Assistant director and GVSU student Greg Kort found this experience to be much different from his work on last year’s Summer Film Project, “The Darkroom”. In retrospect, he found that “Darkroom” director Eric Young’s calm, realistic style was quite abstract from Seidman’s louder, more ambitious way of running a production. “I like being close to the action, the cameras and the director -- the only way to do that is to be a major contributor in the production,” Kort said. “A huge part of my job was to keep everyone working, moving ahead and staying

on time. It was hard sometimes, and I had a difficult time telling people to hurry up when I knew they were all working as hard as they could.” Of the six-week production time, the students spent two weeks in pre-production, which Roberts said dealt with securing and dressing locations, gathering props and conducting rehearsals. The shooting itself took only 10 days despite working with a crew new to the RED camera system – a high-end digital camera system popular in the film industry. The crew experienced some challenges during filming, but used them to their advantage, such as turning a massive rainstorm in Walker into what Seidman described as “one of the most beautiful things that we shot.”

As of now, “Horizontal Accidents” is divided onto four external hard drives, waiting to be edited by a digital post-production course before premiering early next year. Both Seidman and Kort were pleasantly surprised by the outcome of the film, and they claimed fellow students would have a hard time believing this is a “student film.” “I think that students should see ‘Horizontal Accidents’ because I think it’s a funny, interesting film that they’ll enjoy,” Seidman said. “Students can also see what can be accomplished with a student crew and a relatively low budget. I think they’ll be pretty impressed by what we have done.” nmartin@lanthorn.com


C2

FALL SPORTS PREVIEW

Thursday, September 2, 2010

Grand Valley Lanthorn

Influx of freshmen talent fortifies volleyball team By Emanuel Johnson GVL Managing Editor

Last year, the Grand Valley State University volleyball team spent the entire season on a streak of inconsistency. Finishing the season at 1613, the Lakers were only once able to reach three wins in a row, before falling in the two consecutive matches after. Their play was good enough to get them into both the GLIAC Championship and the Midwest Regional tournaments, but the team could not pull it together to scrape out a postseason victory. That inconsistency is something the entire team pulled together to address this past offseason, said junior outside hitter Courtney McCotter. “It can only get better from last year,” she said. “This offseason we did a lot of work in trying to make the whole team better rather than just the players on the court or the seniors. We did a lot of team building and adopted a new attitude.” McCotter said that in an attempt to limit the inconsistency issues, GVSU head

coach Deanne Scanlon has worked to put the most consistent player on the court for the longest periods of time, no matter how many or few years of experience they may have. The team welcomes seven active freshmen to this year’s squad, two of whom, defensive see a specialist little more Sacha Gill outside urgency to and hitter Staget things cey Catalano, will see done and significant time on the stay court. Gill will focused ... begin the -Deanne Scanlon season as Volleyball coach the team’s starting libero, the player responsible for making defensive plays and keeping the ball alive. “We struggled last year defensively and with our passing being consistent,” Scanlon said. “But from the day she stepped on the court, we noticed a huge difference in our ball control.” As for Catalano, she will

“I

be the second freshman starter on the team and will play in all six rotations on the court. Scanlon said Catalano’s overall skill and power will make her a great asset to the team. “It’s a tough thing to do, but she’s our best passer and probably one of our best defenders,” she said. “And she just annihilates the ball in the front row. She’s coming in at 6-foot tall, and she’s just a great athlete.” McCotter echoed Scanlon’s praise of Catalano’s power. “The game just comes so easy to her, and her power is ridiculous,” she said. “Other teams are really going to have a difficult time with her.” The two freshmen have a well-experienced core of upperclassmen to learn from, including senior middle blocker Rebecca Rapin. The 2009 AllAmerican returns to the team after having led last year’s squad in hitting percentage (.275), kills (327), solo blocks (22) and total blocks (115). Scanlon said her sense of urgency and commitment to the team will make a big difference as something that last year’s team lacked.

“One thing we lacked last year was players that would step up at key moments,” she said. “I see a little more urgency to get things done and stay focused that I didn’t see last year. And Rebecca Rapin is a senior now, so she’s definitely coming with that energy. It’s basically her gym.” The team opens up the season with the Tampa Classic this weekend. The Lakers will compete against four top-25 opponents, the first of which being No. 1 ConcordiaSt. Paul University tomorrow afternoon. Aside from winning, Scanlon said she will look for one thing above everything else. “I want us to go down there and compete,” she said. “We’re playing the No. 1, No. 3, No. 5 and No. 13 teams in the country. It’d be nice to go down there and win a few of those games, if not all of those games, but those are the teams that we want to play in the end. For me, it’s about ‘let’s go down there and compete.’” The first match against Concordia-St. Paul begins at 3:45 p.m. managingeditor@lanthorn.com

GVL Archive

New power: The volleyball team refocuses on consistent play this season.

Tennis teams come off summer ready to take top place in GLIAC By Lauren Fitch GVL Editor in Chief

The Grand Valley State University tennis teams began an attitude of determination this summer that they will carry with them to the courts this fall as the season begins. Though the official practices just started on Tuesday and Wednesday, most of the athletes have been training

GVL Archive

Power serve: Junior Marc Roesslein, from Switzerland, serves the ball in a match against Wayne State last year.

GVL Archive

Backhand: Katelyn Schaffer returns the ball in a past game.

on their own all summer in preparation for a successful season. “We don’t have a whole lot of time (before the first match),” said John Black, head coach of the men’s and women’s teams. “But I know everyone’s been playing all summer.” Women aim for conference title With an unusually large team, Black said one challenge this season will be dividing up the playing time. The women’s team returns each of the top-seven players from last year while welcoming four new players to the program. “All the ladies were all-state in high school,” Black said. He explained that the transition to college competition can be tough when a player must learn to be one on the team instead of a star. The women spend their fall season preparing for the conference match, which Black said they should have a good chance to win, though it will be a close contest. “In my nine years coaching, this is the most wide-open conference I’ve seen,” he said. “There are five or six teams who have a real shot at winning it.” Senior Chelsea Johnston said she is looking forward to giving her all in her last season in hopes of claiming that conference title. “The whole conference is very tough. It’s going to be who’s on their game that day,” she said. “We definitely have a chance of winning. We have to work hard to produce the results we’re capable of.” Johnston partnered with fellow senior Daryl Ann Trout to make up the No. 1 doubles team in the region last year. The pair were ranked No. 20 nationally. Black said he expects Johnston and Trout to continue their success. “I know they’ll be able to do a lot of good things on the court,” he said. But Johnston said she’s expecting some big changes this season with the addition of the freshmen. “The line-up is going to be shaken up a lot,” she said. Johnston said the freshmen have meshed well with the

team so far, and the seniors have taken to their leadership roles. “The seniors take control of the team,” she said. “We make sure the freshmen know what they’re doing.” The team’s first match will be Sept. 9 against Wayne State University. Their conference tournament ends the fall season on Oct. 22-24. Men prepare for individual improvement The men’s tennis team also competes in the fall, but as individuals rather than as a team. This year’s roster features an equal number of returners and newcomers, but Black said he is looking for the seniors to set the tone for the season. “I hope they step it up both on the court and in the classroom,” Black said. Senior Philip Claus said he is excited to act as a leader for what he thinks will turn out to be a “solid team.” The highlight of Claus’ tennis career at GVSU came when the team made it to the second round of Regionals in the winter of 2008. He said this year’s team will definitely have a chance of matching the performance. One challenge Claus foresees with a such a young team is the adjustment to doubles play. He said some of the newcomers did not play doubles in high school, which will make the switch to collegiate competition more difficult. Junior Josh Kazdan also has high hopes for the season. Coming off a back injury during the summer, Kazdan said he is still ready for a strong season. “Anytime you compete, you want to win,” he said. He admitted it would be difficult to replace last year’s graduating class, but he said the freshmen are prepared. “When you’re losing seniors and trying to replace them with freshmen, you’re going to have a rebuilding year,” he said. The men add three freshmen and one transfer student to the roster. Their first match will be Sept. 18, and their season wraps up with the GVSU Invitational on Oct. 1-2. editorial@lanthorn.com


FALL SPORTS PREVIEW

Grand Valley Lanthorn

Thursday, September 2, 2010

C3

Returning talent leads men’s golf team By Coty Levandowski GVLStaff Writer

As the autumn leaves begin to pick and choose their seasonal colors, a changing of the guard runs concurrently within the ranks of Grand Valley State University’s men’s golf team. Losing a tried and true leader with the graduation of Matt Malloure was a considerable blow to the team’s roster, but a closer look at the fall line-up may reveal that all is well on the Allendale fairways. Sophomore Chase Olsen looks to be the heir to Malloure’s throne after notching a banner year last season. Earning the GLIAC Freshman of the Year honors for 2010, the first golfer in the history of the men’s team

to do so, certainly primes Olsen’s candidacy for a lead role in the upcoming months. “I’m obviously very proud of being named GLIAC Freshman of the Year in 2010,” he said. “But that’s last year, and I can’t just be satisfied with one good season. I see myself as a very competitive player, and I fully expect to grow from my experiences last year.” With three freshmen joining the squad, Olsen will look to juniors Travis Shooks and Nick Gunthorpe for assistance in senior leadership. Gunthrope ended as the team’s top finisher at the 2010 Midwest/South Central Men’s Regional Tournament, and Shooks proved to be arguably the most consistent player on the Laker roster. Youthful exuberance isn’t exactly a desired trait in a team

that slowly slipped down the ranks as tournaments wore on last season. Even after a solid opening day at last spring’s Regional tournament put the Lakers in eighth place, the squad came to rest in 13th by the end of play. Olsen said the only way to compensate for having such a young roster is constant practice and attention to detail. “I actually moved up to Allendale for the summer to prepare for the fall,” said Olsen. “I practiced and played at Meadows as often as possible, which will hopefully show in our opener.” The Lakers will have their first test Saturday in Kincheloe, Mich., when the team competes in the Lake Superior State Invitational. clevandoski@lanthorn.com

Courtesy Photo

Heir apparent: The graduation of Matt Malloure (pictured) leaves a sizable hole in the men’s golf team roster. Sophomore Chase Olsen hopes to help fill that void. The golf team will open its competitive season on Saturday.

Courtesy Photo / gvsulakers.com

Fore! Sophomore Ashley Beard tees off at a the GVSU Laker Classic last season. The team will open play this weekend.

Women’s golf seeks No. 1 national rank By Coty Levandowski GVL Staff Writer

The word “disappointing” has not been synonymous with women’s golf at Grand Valley State for quite some time now, and the upcoming season looks to be no different. With senior Allie Tyler and junior Sarah Hoffman both returning to the squad, the promising freshmen additions certainly have a solid pair of leaders to guide them. Last spring, Hoffman took first at three consecutive tournaments; the Buccaneer and Ashland Invitationals, as well as the Drury University Lady Panther Shootout. Honored with All-GLIAC First Team selection, Hoffman shot a 149 (+5), tying for 2nd place at the GLIAC Championships. Tyler was no slouch either, earning All-American status along with Hoffman and finishing in seventh place at the regional tournament after finishing with a score of 229 (+13). In April, Tyler came in 15th with a final tally of 162 (+18). “It is an honor to be named an All-American, but it’s not something I am trying to achieve throughout the year,” said Tyler. “In college, golf is as much a team sport as it is an individual sport and our ultimate goal is to win a national championship as a team ... all of the individual accolades are just something extra.” This past May, head coach Rebecca Mailloux was honored as the East Region Coach of the Year by the National Golf Coaches Association for the

second straight season, being just one-of-four coaches across the country to receive the accolade. She also walked away with GLIAC Coach of the Year honors by season’s end. And the Mailloux-effect shows. On top of yet another Regional Championship and a 26-stroke win at the GLIAC Championship (their third straight league title), the Lakers won by 13 strokes at the Super Region One Tournament in May. Advancing to the Division II Women’s Golf Championships for the third year in a row, the ninth time since the program’s inception, the Lakers finished sixth. “I hope to see us at the top by the end of the spring,” Tyler said. “We are all trying to win a National Championship and we have come close in years past ... But in order to do that, we’re all going to have to play our best golf. “ With immense talent from roster to clipboard and a trophy case being put to good use, the biggest critics of the team happen to be the women themselves. After a steady slide from fifth place after an impressive first day in the NCAA D-II Women’s Golf Championships, consistency may be a something to build upon as a unit. “All the individual accolades are just something extra,” Tyler said. “I feel like every single one of us on the team can go low on any given day, but we are going to need to put all of those low rounds together to beat some of the better schools in the country.” clevandoski@lanthorn.com

Cross country teams chase national title By Curtis Kalleward GVL Staff Writer

“‘I

Last season, the Grand Valley State f you do University men’s and women’s cross country what you always teams placed fifth and do, you’ll get what second respectively at the NCAA National you always got.’ To Championship meet. get the No. 1 rankAfter finishing so close to the ultimate goal, ing, we’re going the runners return this season hungrier and to have to change more prepared than some stuff up. ever. “We’re hopeful that we can improve on last - Jimmy year’s results,” said McKeiver GVSU head coach Jerry Baltes. “Both Redshirt teams have set goals freshman to beat, the biggest of which is to challenge for the National Championship. Hopefully, we’ll get that far.” In last week’s Division II preseason poll, both teams retained the same rank they had finished with in the previous season. “In order to get each team to reach the No. 1 national ranking, we have to keep getting better and do that every day,” Baltes said. “We’re going to keep working hard, and hopefully it will pay off.” Adams State College, however, enters the preseason ranked No. 1 as both men and women will look to continue their run of dominance at the national level. “The teams we’re competing against are among the best in the country,” said junior Jeff Nordquist. “A lot of Adams State’s athletes become professional runners with contracts after college. It’s going to be really difficult to try and beat them, but we have a great coaching staff and we bring back some All-Americans. We’ve matured a lot in the past year, and we’re not settling for fifth place again this year.” Women aim for top national spot A second-place finish at the 2009 national meet was hard to swallow for the Lakers, who entered the event ranked No. 1 in the nation. Nonetheless, the team’s hard work helped it earn the Division II Women’s Program of the Year Award for a second consecutive year. “We are thrilled and honored to achieve this accomplishment for the second year in a row for our women,” Baltes said upon receiving the award. “We take great pride in having quality student-athletes in each event area in order for us to compete at a high level in all three seasons.” The 2009 season marked the second straight year in which the Lakers claimed the No. 1 ranking, and the women are ready to take it again. “It was a really big deal to say that, between cross country, indoor track and outdoor track, we were the best program,” Baltes said. “The

GVL Archive

Rebuilding: The men finished fifth at nationals last year. They graduated only one runner of the top seven.

Courtesy Photo / Facebook Run strong: The women’s team will look to bump up to No. 1 after finishing last season as the No. 2 national

finisher.

next step is to win a national championship in all three. If we can do that, there will be no doubt about us being the best in the country.” Junior captain Rebecca Winchester, who redshirted last season, said the team focuses on the small things in order to finish the year atop the rankings. “We need to do better at finishing out the races, especially the last kilometer,” she said. “We’re always pulled together (with the other teams) until the end, and that’s when they get the edge on us. Some girls have been doing higher mileage in training, which should help us.” Baltes said though Ferris State University

poses the biggest challenge to the Laker streak of nine straight GLIAC championships, his focus is on what his team needs to do to improve. “We don’t focus too much on anyone else in the conference,” Baltes said. “We just focus on ourselves.” Men look to rebound from rebuilding year The young men’s squad returns several key runners from last year’s team, which finished fifth at the national meet. Leading the charge will be junior Tyler Emmorey, whose 2009 efforts garnered him several individual accolades, including GLIAC Runner of the Year, Midwest Region

Men’s Athlete of the Year and All-American honors. “Tyler Emmorey was our leader on the men’s team last year,” Baltes said. “He finished 14th overall in the country and was All-American in the track season, so we’re going to look for him to keep doing what he’s doing. Hopefully, we’ll have two or three other guys that are able to step up and run for us.” However, not every runner will enter the season using the same strategy. “A well-said quote on our team goes, ‘If you do what you always do, you’ll get what you always got,’” said freshman Jimmy McKeiver. “To get to the No. 1 ranking, we’re going to have to change some stuff up. Some of the guys have changed up their workouts and bumped up their mileage trying to get better.” Looking ahead, the Lakers will face their usual competitors in GLIAC competition, and the team feels that a ninth straight regional title is more within reach. “I expect us to win the National Championship,” McKeiver said. “That’s what the goal is and that’s what we always strive for. All of our competition graduated their top guys and we’re still young. We only graduated one of our top seven runners, so if we go to the National Championship, we should have a good shot at it.” Nordquist echoed his teammate’s sentiments, adding that it would take a group effort to claim victory. “To be No. 1, it’s going to take willpower,” he said. “We were young last year, and this year we’re bringing back almost everyone. We got a lot of experience at the national meet, and I feel like that will help us to get on the


C4

Thursday, September 2, 2010

ADVERTISEMENT

Grand Valley Lanthorn

Issue 4  

Issue 4 - Sept. 2, 2010 - Grand Valley Lanthorn

Read more
Read more
Similar to
Popular now
Just for you